{% filter indent(width=4, first=False) %}
{% include "./_mem_offset.jinja" %}
N2D2_Export::lowbitfccellPropagate<{{ in_name[0] | upper }}_NB_CHANNELS,
                             {{ in_name[0] | upper }}_IN_HEIGHT,
                             {{ in_name[0] | upper }}_IN_WIDTH,
                             {{ out_name[0] | upper }}_NB_OUTPUTS,
                             {{ out_name[0] | upper }}_OUT_HEIGHT,
                             {{ out_name[0] | upper }}_OUT_WIDTH,
                             {{name|upper}}_ACTIVATION,
                             data<32>>
                             ({{ in_name[0] }}, {{ out_name[0] }}, {{ in_name[2] }}, {{ in_name[1] }}, {{ name | upper }}_SCALING);
{% endfilter %}